Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.policy
Class HeuristicConfigPolicy

    java.lang.Object
      org.optaplanner.core.config.heuristic.policy.HeuristicConfigPolicy

    public class HeuristicConfigPolicy

extends Object

Constructor Summary
`HeuristicConfigPolicy(EnvironmentMode environmentMode, InnerScoreDirectorFactory scoreDirectorFactory)`

Method Summary
`void` | `addEntityMimicRecorder(String id, EntityMimicRecorder mimicRecordingEntitySelector)`
`HeuristicConfigPolicy` | `createPhaseConfigPolicy()`
`EntityMimicRecorder` | `getEntityMimicRecorder(String id)`
`Map<String,EntityMimicRecorder>` | `getEntityMimicRecorderMap()`
`EnvironmentMode` | `getEnvironmentMode()`
`ScoreDefinition` | `getScoreDefinition()`
`InnerScoreDirectorFactory` | `getScoreDirectorFactory()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`boolean` | `isInitializedChainedValueFilterEnabled()`
`boolean` | `isReinitializeVariableFilterEnabled()`
`boolean` | `isSortEntitiesByDecreasingDifficultyEnabled()`
`boolean` | `isSortValuesByIncreasingStrengthEnabled()`
`void` | `setEntityMimicRecorderMap(Map<String,EntityMimicRecorder> entityMimicRecorderMap)`
`void` | `setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)`
`void` | `setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)`
`void` | `setSortEntitiesByDecreasingDifficultyEnabled(boolean sortEntitiesByDecreasingDifficultyEnabled)`
`void` | `setSortValuesByIncreasingStrengthEnabled(boolean sortValuesByIncreasingStrengthEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeuristicConfigPolicy

    public HeuristicConfigPolicy(EnvironmentMode environmentMode,
                                 InnerScoreDirectorFactory scoreDirectorFactory)

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### getScoreDirectorFactory

    public InnerScoreDirectorFactory getScoreDirectorFactory()

### isSortEntitiesByDecreasingDifficultyEnabled

    public boolean isSortEntitiesByDecreasingDifficultyEnabled()

### setSortEntitiesByDecreasingDifficultyEnabled

    public void setSortEntitiesByDecreasingDifficultyEnabled(boolean sortEntitiesByDecreasingDifficultyEnabled)

### isSortValuesByIncreasingStrengthEnabled

    public boolean isSortValuesByIncreasingStrengthEnabled()

### setSortValuesByIncreasingStrengthEnabled

    public void setSortValuesByIncreasingStrengthEnabled(boolean sortValuesByIncreasingStrengthEnabled)

### isReinitializeVariableFilterEnabled

    public boolean isReinitializeVariableFilterEnabled()

### setReinitializeVariableFilterEnabled

    public void setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)

### getEntityMimicRecorderMap

    public Map<String,EntityMimicRecorder> getEntityMimicRecorderMap()

### setEntityMimicRecorderMap

    public void setEntityMimicRecorderMap(Map<String,EntityMimicRecorder> entityMimicRecorderMap)

### isInitializedChainedValueFilterEnabled

    public boolean isInitializedChainedValueFilterEnabled()

### setInitializedChainedValueFilterEnabled

    public void setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)

### createPhaseConfigPolicy

    public HeuristicConfigPolicy createPhaseConfigPolicy()

### addEntityMimicRecorder

    public void addEntityMimicRecorder(String id,
                                       EntityMimicRecorder mimicRecordingEntitySelector)

### getEntityMimicRecorder

    public EntityMimicRecorder getEntityMimicRecorder(String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.